%define pkg_name        Class-Accessor-Named
%define pkg_version     0.008
%define rpm_pkg_version 0.008
%define rpm_pkg_release 1.n0i.2

Summary:       Better profiling output for Class::Accessor
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/J/JE/JESSE/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
BuildRequires: perl(Class::Accessor)
BuildRequires: perl(Hook::LexWrap)
BuildRequires: perl(Sub::Name)
BuildRequires: perl(Test::Dependencies)
BuildRequires: perl(UNIVERSAL::require)
%endif


%description
Class::Accessor is a great way to automate the tedious task of generating
accessors and mutators. One small drawback is that due to the details of
the implemenetation, you only get one "__ANON__" entry in profiling output.
That entry contains all your accessors, which can be a real pain if you're
attempting to figure out *which* of your accessors is being called six
billion times. This module is a development aid which uses Hook::LexWrap
and Sub::Name to talk your accessors into identifying themselves.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.008-1.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.008

* Sat Jul 08 2006 Marius Feraru <altblue@n0i.net> - 0.002-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8
